summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-05-19 20:45:54 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-05-19 20:45:54 -0400
commitaa27f7c1e6a137e842c130066383b0ca6802d6e5 (patch)
tree7152bd11de48356d80c6d02aa4d605a5bbd525ab
parent035c8ea09c402dd612c41622ea7de830e6886ae5 (diff)
seems windows sh doesn't properly handle set -e in functions
-rw-r--r--standalone/windows/build.sh29
1 files changed, 12 insertions, 17 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index e0b72b4e5..36ececfdb 100644
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -35,26 +35,21 @@ cd ..
cabal install --only-dependencies -f"$FLAGS"
-runbuild () {
- set -e
+if ! -e last-incremental-failed; then
+ cabal clean
+fi
+touch last-incremental-failed
- # Build git-annex
- withcyg cabal configure -f"$FLAGS"
- withcyg cabal build
+# Build git-annex
+withcyg cabal configure -f"$FLAGS"
+withcyg cabal build
- # Build the installer
- cabal install nsis
- ghc --make Build/NullSoftInstaller.hs
- withcyg Build/NullSoftInstaller.exe
-}
+# Build the installer
+cabal install nsis
+ghc --make Build/NullSoftInstaller.hs
+withcyg Build/NullSoftInstaller.exe
-# Incremental build sometimes may fail, possibly because the configure
-# script has changed but cabal neglects to re-build it on Windows
-if ! runbuild; then
- echo "Retrying after cabal clean"
- cabal clean
- runbuild
-fi
+rm -f last-incremental-failed
# Test git-annex
rm -rf .t